unit mDbaseEd;

interface
uses DsgnIntf;

type
  TmDataBaseEditor = class(TComponentEditor)
  private
  protected
  public
    procedure ExecuteVerb(Index: Integer); override;
    function GetVerb(Index: Integer): string; override;
    function GetVerbCount: Integer; override;
//    procedure Edit;override;
  end;

implementation
uses mDatabas;

function TmDataBaseEditor.GetVerbCount: Integer;
begin
  Result := 2;
end;

function TmDataBaseEditor.GetVerb(Index: Integer): string;
begin
   case index of
       0: Result := '&Connect';
       1: Result := '&Disconnect';
       else Result := '';
  end;
end;

procedure TmDataBaseEditor.ExecuteVerb(Index: Integer);
begin
   case index of
       0:  begin
               TmDataBase(Component).Connect;
           end;
       1: begin
               TmDataBase(Component).Disconnect;
           end;
   end;
end;

end.
